 <div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>History Cycles List
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 card-body">
      <form [formGroup]="filterForm" (ngSubmit)="onSubmit()">
        <div class="form-group">
          <label>From Date:
          <input 
            type="date" 
            class="form-control" 
            formControlName="fromDate"
            > 
          </label>&nbsp;&nbsp;

          <label>To Date:
          <input 
            type="date" 
            class="form-control"
            formControlName="toDate"
            > 
          </label>&nbsp;&nbsp; 

          <button type="submit" class="btn btn-primary">Search</button>&nbsp;&nbsp;
          <button 
            type="button" 
            class="btn btn-danger"
            (click)="downloadCSV()" 
            >Download CSV</button>
        </div>
        
      </form>
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 card-body">
		<table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped table-bordered row-border hover">
          <thead>
            <tr>
              <th *ngFor="let header of tableHeaders1">{{ header }}</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let asset of assetInfo">
              <td>{{ asset.actorId }}</td>
              <td>{{ asset.capUsed | number : '1.2-2' }}</td>
              <td>{{ asset.cycleNo }}</td>
              <td>
                <div *ngIf="asset.cycleState=='1';">
                  <span class="badge badge-danger badge-pill pad8">Charging</span>
                </div>
                <div *ngIf="asset.cycleState=='0'">
                  <span class="badge badge-warning badge-pill pad8">Idle</span>
                </div>
                <div *ngIf="asset.cycleState=='-1'">
                  <span class="badge badge-info badge-pill pad8">Discharging</span>
                </div>
                <div *ngIf="asset.cycleState=='2'">
                  <span class="badge badge-success badge-pill pad8">New</span>
                </div>
                <ng-template *ngIf="asset.cycleState==''">
                  {{asset.cycleState}}
                </ng-template>
              </td>
              <td>{{ asset.kmDriven | number : '1.2-2' }}</td>
            </tr>
          </tbody>
        </table>
    </div>
   </div>
 </div>   	

 <div class="container">
  <div class="row card">
    <div class="card-header">
      <i class="icon-map"></i>Threshold Breach List
    </div>
    <div class="col-xs-12 col-sm-12 col-md-12 card-body">
    	<table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger2" class="table table-striped table-bordered row-border hover">
          <thead>
            <tr>
              <th *ngFor="let header of tableHeaders2">{{ header }}</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngIf="thresholdData">
              <td>{{ thresholdData.ambientTempSmsSentTimestamp | date: 'medium' }}</td>
              <td>{{ thresholdData.cellTempSmsSentTimestamp    | date: 'medium' }} </td>
              <td>{{ thresholdData.highCellVolSmsSentTimestamp | date: 'medium' }} </td>
              <td>{{ thresholdData.highCurrSmsSentTimestamp    | date: 'medium' }} </td>
              <td>{{ thresholdData.lowCellVolSmsSentTimestamp  | date: 'medium' }} </td>
              <td>{{ thresholdData.powerTempSmsSentTimestamp   | date: 'medium' }} </td>
            </tr>
          </tbody>
        </table>
    </div>
  </div> 
</div>   